import java.io.File;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Scanner;

public class airplane_aa_a {
	public static void main(String[] args) throws IOException {
		Scanner in = new Scanner(new File("airplane.in"));
		PrintWriter out = new PrintWriter("airplane.out");
		int M = in.nextInt();
		check(1 <= M && M <= 10000);
		int n = in.nextInt();
		check(1 <= n && n <= 100);
		int a = in.nextInt();
		check(1 <= a && a <= 1000);
		while (n-- > 0) {
			int x = in.nextInt();
			check(5 <= x && x <= 100);
			M += x;
		}
		if (a == 1000) {
			out.println("Impossible");
		} else {
			double ans = 1.0 * M * a / (1000.0 - a);
			out.println(ans);
		}
		out.close();
	}

	private static void check(boolean b) {
		if (!b) {
			throw new Error("assertion failed");
		}
	}
}
